complexType "FxTrigger"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 5 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | triggerCondition?, quotedCurrencyPair?, triggerRate?, spotRate?, informationSource*
</...>

Content Model Elements (5):

  informationSource (in trigger in fxDigitalOption), quotedCurrencyPair (in trigger in fxDigitalOption), spotRate (in trigger in fxDigitalOption), | triggerCondition, triggerRate (in trigger in fxDigitalOption)

All Direct / Indirect Based Elements (1):

  trigger (in fxDigitalOption)

Known Usage Locations

- As direct type of elements (1):
  trigger (in fxDigitalOption)

Annotation
Describes a european trigger applied to an FX digtal option.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="FxTrigger"> <xsd:sequence> <xsd:element minOccurs="0" name="triggerCondition" type="TriggerConditionEnum"/> <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/> <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
informationSource

  Type: | InformationSource, complex content

  The information source where a published or displayed market rate will be obtained, e.g. Telerate Page 3750.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="informationSource" type="InformationSource"/>

quotedCurrencyPair

  Type: | QuotedCurrencyPair, complex content

  Defines the two currencies for an FX trade and the quotation relationship between the two currencies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quotedCurrencyPair" type="QuotedCurrencyPair"/>

spotRate

  Type: | PositiveDecimal, simple content

  An optional element used for FX forwards and certain types of FX OTC options. For deals consumated in the FX Forwards Market, this represents the current market rate for a particular currency pair. For barrier and digital/binary options, it can be useful to include the spot rate at the time the option was executed to make it easier to know whether the market rate needs to move "up" or "down" to trigger a barrier event.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

triggerCondition

  Type: | TriggerConditionEnum, simple content

  The condition that applies to a european trigger applied to an FX digital option. It determines where the rate at expiry date and time at must be relative to the triggerRate for the option to be exercisable. The allowed values are "AtOrAbove" and "AtOrBelow". DEPRECATE: Values "Above" and "Below" are deprecated.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "AtOrAbove" | - | The spot rate must be greater than or equal to the trigger rate. See: http://www.FpML.org
  "AtOrBelow" | - | The spot rate must be less than or equal to the trigger rate. See: http://www.FpML.org
  "Above" | - | DEPRECATE: The spot rate must be greater than or equal to the trigger rate. See: http://www.FpML.org
  "Below" | - | DEPRECATE: The spot rate must be less than or equal to the trigger rate. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="triggerCondition" type="TriggerConditionEnum"/>

triggerRate

  Type: | PositiveDecimal, simple content

  The market rate is observed relative to the trigger rate, and if it is found to be on the predefined side of (above or below) the trigger rate, a barrier event is deemed to have occurred.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="triggerRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.